%define _prefix /usr
%define XCONF_TOUCH no
%define name cyrprint
%define ver 2.0
%define rel 1
 
Name: %{name}
Version: %{ver}
Release: %{rel}
Summary: Cyrillic filter for PS files generated by Netscape and Mozilla
Group: Applications/Publishing
Source0: %{name}-%{ver}.tar.gz
Copyright: GPL
Distribution: RedHat 6.2
Buildroot: /var/tmp/%{name}
Packager: Constantine Gavrilov <const-g@optibase.com>
Prefix: %{_prefix}
Docdir: %{_prefix}/doc

%description
Cyrprint converts postscript files generated by Netscape or Mozilla.
For Netscape, original pages must be in koi8 encoding. For Mozilla,
original encoding can be any form of Cyrillic, since mozilla generates
postscript files in unicode.

This program is used as a pass-through filter. It adds cyrillic fonts to
the beginning of the file and substitutes font names in the original PS
document. The substitution and addition of fonts can be controlled with
styles.

A small mozprinthelp program is included for printing Mozilla generated
files. The program uses iconv modules of glibc. It will convert unicode
encoded postscript files to the desired encoding. It accepts just one
argument - the target encoding,  reading from standard input and writing
to standard output. This program can be used to print Mozilla postcript
files in other languages than cyrillic if you have suitable postcript fonts.

The package includes cyrillic postcript fonts from
	ftp://ftp.kapella.gpi.ru/pub/cyrillic/psfonts.


%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{prefix} CFLAGS=$RPM_OPT_FLAGS

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{ver}

%post
cat > /etc/profile.d/cyrprint.sh <<EOF
PRDIR=$RPM_INSTALL_PREFIX/lib/X11/fonts/cyr/Type1
MOZPRINTHELP=$RPM_INSTALL_PREFIX/bin/mozprinthelp
EOF
chmod 755 /etc/profile.d/cyrprint.sh

if [ "%{XCONF_TOUCH}" = "no" ]; then
 exit 0
fi

FONTDIR=$RPM_INSTALL_PREFIX/lib/X11/fonts/cyr/Type1

if [ "`grep ${FONTDIR} /etc/X11/XF86Config`" != "" ]; then
 exit 0
fi

FILE=/tmp/XF86Config.$$
n=`grep -n FontPath /etc/X11/XF86Config|tail -1|cut -f1 -d :`
if [ -n $n ]; then
 ##generate a sed script
 file=/tmp/sed_buggy.$$
 cat << EOF > $file
${n}a\\
   FontPath   "${FONTDIR}"
EOF
 sed -f $file /etc/X11/XF86Config > $FILE
 [ $? -eq 0 ] && mv $FILE /etc/X11/XF86Config
  rm -f $file
fi

%postun
#does not run at upgrade
if [ $1 -eq 0 ]; then
 rm -f /etc/profile.d/cyrprint.sh
 if [ "%{XCONF_TOUCH}" = "no" ]; then
   exit 0
 fi
 FONTDIR=$RPM_INSTALL_PREFIX/lib/X11/fonts/cyr/Type1
 if [ "`grep ${FONTDIR} /etc/X11/XF86Config`" = "" ]; then
  exit 0
 fi
 FILE=/tmp/XF86Config.$$
 grep -v ${FONTDIR} /etc/X11/XF86Config > $FILE
 mv $FILE /etc/X11/XF86Config
fi

%files
%{prefix}/bin/*
%dir %{prefix}/lib/X11/fonts/cyr/Type1
%{prefix}/lib/X11/fonts/cyr/Type1/*.pfa
%config %{prefix}/lib/X11/fonts/cyr/Type1/st*
%config %{prefix}/lib/X11/fonts/cyr/Type1/fonts.*
%doc README INSTALL ChangeLog
